MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/volume.h File Reference

`#include <stdbool.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
void | volume_init (void)
void | volume_finish (void)
int | volume_level_get (void)
bool | volume_level_change (unsigned volume)
bool | read_sw_volume_state (const char *line)
void | save_sw_volume_state (FILE *fp)
unsigned | sw_volume_state_get_hash (void)
| Generates a hash number for the current state of the software volume control.

## Function Documentation

bool read_sw_volume_state | ( | const char * | line | ) |

void save_sw_volume_state | ( | FILE * | fp | ) |

unsigned sw_volume_state_get_hash | ( | void |  | ) |

Generates a hash number for the current state of the software volume control.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

void volume_finish | ( | void |  | ) |

void volume_init | ( | void |  | ) |

bool volume_level_change | ( | unsigned | volume | ) |

int volume_level_get | ( | void |  | ) |